return_value=return value
throws=throws
throw=throw
caps_class=Class

abstract=abstract

association_class=association class
client_role=client role
client_cardinality=client cardinality
client_qualifier=client qualifier
supplier_role=supplier role
supplier_cardinality=supplier cardinality
supplier_qualifier=supplier qualifier
composition=composition

from = client
to = supplier

diagram_type=diagram type
name=name
label=name
synchronization=synchronization
objects_class=object's class
persistence = persistence
multiple_instance=multiple instance
object_state=object state
message_type=message type
duration=duration
send_time=send time
receive_time=receive time
across_collection=across collection
statement_expression=expression

internal_transition=internal transition
event_name=event name
event_arguments=event arguments
guard_condition = guard condition
action_expression=action expression
send_clause=send clause

sync_condition=condition
extension_condition = condition

url=URL
caps_file=File
caps_element=Element

hasGetter= getter
hasSetter= setter
hasIndexedGetter = indexed getter
hasIndexedSetter = indexed setter
hasAttribute = attribute

rank=rank
preconditions = pre-conditions
normalFlow = normal flow
alternateFlow = alternate flow
postconditions = post-conditions

component_type = type
node_type = type

state_machine_target=target class
note_text_only=text only
